@import url(http://fonts.googleapis.com/earlyaccess/nanummyeongjo.css);
@import url(http://fonts.googleapis.com/earlyaccess/nanumgothic.css);

html, body, address, blockquote, form, div, p, h1, h2, h3, h4, h5, h6, dl, dd, dt, table, thead, tbody, tfoot, tr, th, td, img, button, del, ins, map, object, a, abbr, acronym, b, bdo, big, br, cite, dfn, em, i, img, kbd, q, samp, small, strong, sub, sup, tt, var, legend, fieldset {
    margin: 0;
    padding: 0;
    font-family: 'nanumgothic';
}

h1 {
    margin-bottom: 16px;
}

h2 {
    margin-bottom: 13px;
}

h3 {
    margin-bottom: 10px;
}

h4 {
    margin-bottom: 7px;
}

h5 {
    margin-bottom: 4px;
}

h6 {
    margin-bottom: 2px;
}

pre {
    margin-left: 22px;
    /*margin-right: 10px;*/
    display: inline-block;
    max-width: 91%;
    min-width: 60%;
}

code {
    font-size: 0.8em;
    font-family: Monaco, Menlo, 'Ubuntu Mono', Consolas, source-code-pro, monospace;
    padding-right: 30px !important;
}

.topicPre {
    border: 1px dashed #ccc;
    border-radius: 3px;
    margin-left: 22px;
    margin-right: 10px;
    font-family: Monaco, Menlo, 'Ubuntu Mono', Consolas, source-code-pro, monospace;
}

.topicLink {
    text-decoration: none;
    color: #0092d3;
}

.topicLinkHead {
    color: #888;
}

.topicInherited {
    text-decoration: none;
    color: #0092d3;
}

.inheritedClass {
    text-decoration: none;
    color: #727171;
}

.emptyLine {
    margin-left: 22px;
    min-height: 10px;
}

.path {
    padding: 10px 0 5px 22px;
    color: #0092d3;
    font-size: 0.8em;
}

.back {
    padding: 10px 0 5px 22px;
    color: #0092d3;
    font-size: 0.8em;
    margin-right: 10px
}

.topicTitle {
    color: #fff;
    background-color: #0092d3;
    clear: both;
    padding: 5px 0 5px 22px;
    font-family: Monaco, Menlo, Consolas, monospace;
    margin-bottom: 10px;
}

.topicDemoTitle {
    color: #fff;
    font-weight: bold;
    background-color: #245684;
    padding: 5px 10px 5px 22px;
    margin:0px 0px 10px;
    font-weight: normal;
    font-family: nanumgothic, Monaco, Menlo, Consolas, monospace;
}

.topicBody {
    clear: both;
    margin-left: 22px;
    padding: 0px;
    font-size: 0.9em;
    line-height: 130%;
    margin-right: 10px;
    margin-bottom: 5px;
    color: #525151;
}

.topicDefault {
    display: inline-block;
    margin: 5px 10px 10px 22px;
    font-size: 0.9em;
    color: #525151;
    /*padding: 0px 5px 2px 5px;*/
    /*background: #f4f4f4;*/
}

.topicVariable {
    box-sizing: border-box;
    margin: 8px 10px 8px 22px;
    padding: 2px 10px 4px 10px;
    font-size: 0.9em;
    color: #525151;
    background-color: rgba(0, 191, 255, 0.05);
    display: inline-block;
    max-width: 90%;
    min-width: 60%;
}

.topicMethod {
    box-sizing: border-box;
    margin: 8px 10px 8px 22px;
    padding: 2px 10px 4px 10px;
    font-size: 0.9em;
    color: #525151;
    background-color: rgba(0, 191, 255, 0.05);
    display: inline-block;
    max-width: 90%;
    min-width: 60%;
}

.topicHeadSmall {
    padding-left: 22px;
    margin-bottom: 8px;
}

.topicHeadMedium {
    padding-left: 22px;
    margin-bottom: 10px;
}

.topicHeadLarge {
    padding-left: 22px;
    margin-bottom: 12px;
}

.topicSectionLarge {
    padding: 7px 10px 4px 22px;
    font-size: 0.9em;
    color: #303030;
}

.topicSectionMiddle {
    padding: 7px 10px 4px 22px;
    font-size: 0.8em;
    color: #444;
}

.topicList {
}

.topicDottedList {
    list-style: disc;
    margin-top: 0;
    margin-left: 10px;
}

.topicNumberedList {
    list-style: decimal inside;
    margin-top: 0;
    margin-left: 10px;
}

.topicItem {;
    margin-right: 10px;
    padding: 5px 0 0 50px;
    font-size: 0.8em;
    color: #727171;
}

.topicDefList {
    margin-bottom: 4px;
}

.topicDefTitle {
    padding: 5px 0 2px 22px;
    font-size: 0.8em;
    font-weight: bold;
    color: #303030;
}

.topicDefItem {;
    margin-right: 10px;
    padding: 5px 0 0 50px;
    font-size: 0.9em;
    color: #525151;
}

.topicBold {
    color: #666;
}

.topicSysval {
    color: #B94A48;
}

.topicLine {
    margin-left: 22px;
    margin-right: 10px;
    padding-top: 0;
    padding-bottom: 0;
    font-size: 0.9em;
    border-bottom: 1px solid #d3d3d4;
    margin-top: 0;
    margin-bottom: 0;
    color: #525151;
}

.topicDefItem2 {
    margin-right: 10px;
    padding: 0px 0 0 50px;
    font-size: 0.9em;
    color: #525151;
}

.topicListItem {
    margin-right: 10px;
    padding: 0;
    font-size: 0.9em;
    color: #727171;
}

.topicParamItem {
    margin-right: 10px;
    padding: 0px 0 0 50px;
    font-size: 0.9em;
    color: #727171;
}

.topicParamName {
    color: #000000;
}

.topicParamLine {
    margin-right: 10px;
    margin-left: 28px;
    margin-bottom: 4px;
    color: #525151;
}

.topicCodeTitle {
    margin-top: 0.5em;
    margin-bottom: 0.2em;
    padding: 5px 0 0 22px;
    font-size: 0.8em;
    font-weight: bold;
    color: #303030;
}

.topicContainerTitle {
    margin-top: 0.5em;
    margin-bottom: -5px;
    padding: 5px 0 0 22px;
    font-size: 0.8em;
    font-weight: bold;
    color: #303030;
}

.topicMemoTitle {
    margin-top: 0.5em;
    margin-bottom: 0.1em;
    padding: 2px 0 0 22px;
    font-size: 0.8em;
    font-weight: bold;
    color: #303030;
}

.enumTable{
    margin-left: 22px;
}
.topicTable {
    margin-left: 22px;
    margin-right: 10px;
    margin-top: 4px;
    margin-bottom: 8px;
    font-size: 0.9em;
    border: 1px solid #DDDDDD;
    border-collapse: collapse;
    min-width: 60%;
}

.topicTable thead {
    background-color: #eee;
    font-size: 0.8em;
}

.topicTable th, td {
    border: 1px solid #DDDDDD;
    border-collapse: collapse;
    padding: 2px;
    color: #525151;
}

.topicShadow {
    padding: 0px 2px 2px 2px;
    background: #f4f3f3;
}

.topicRecentExam {
    clear: both;
    margin-left: 22px;
    margin-bottom: 20px;
}

.topicRecentExam h3 {
    margin-bottom: 4px;
}

.topicRecentExam div {
    overflow: auto;
}

.topicRecentExam div img {
    float: left;
    margin-right: 15px;
}

.topicRecentExam div p {
    font-size: 0.9em;
    line-height: 130%;
    margin-left: 20px;
    margin-right: 10px;
    color: #525151;
}

.enumRow {
    background-color: rgba(0, 0, 0, 0.02);
}

.enumName {
    padding: 3px 4px;
    color: #555;
    font-weight: bold;
}

.enumValue {
    color: #0066cc;
    padding: 3px 4px;
}

.enumText {
    min-width: 100px;
    color: #626161;
}

.topicButton {
    min-width: 70px;
}

.function {
    color: #008;
}

.parameter {
    color: #000
}

.helpForm {
    margin-left: 22px;
    margin-top: 8px;
    margin-bottom: 8px;
    font-size: 0.9em;
}

.helpContainer {
    margin-left: 22px;
    margin-top: 8px;
    margin-bottom: 8px;
}

.helpContainerFooter {
    margin-left: 22px;
    margin-top: -8px;
    margin-bottom: 8px;
    padding: 0;
    font-size: 0.9em;
}

.helpShadowContainer {
    float: left;
    height: 21px;
    margin-left: 22px;
    margin-top: 5px;
    background-color: rgba(0, 0, 0, 0.1);
    font-size: 0.9em;
    padding: 2px 5px;
    border: 1px dashed #aaaaaa;
}

.helpMemo {
    margin-left: 22px;
    margin-top: 2px;
    margin-bottom: 8px;
    background: #f0f0f0;
    overflow: auto;
    white-space: nowrap;
    border: #888;
    padding: 4px;
    border: 1px solid #666;
    font-family: Monaco, Menlo, 'Ubuntu Mono', Consolas, source-code-pro, monospace;
    outline: none;
}

.helpButton {
    margin-left: 2px;
    margin-right: 2px;
    margin-top: 2px;
    margin-bottom: 2px;
}

.helpCheck {;
    margin-top: 2px;
    margin-bottom: 2px;
}

.helpRadio {;
    margin-top: 2px;
    margin-bottom: 2px;
}

.helpLabel {
    margin-left: 0px;
    margin-right: 4px;;
    margin-top: 2px;
    margin-bottom: 2px;
}

.helpText {
    margin-left: 2px;
    margin-right: 2px;;
    margin-top: 2px;
    margin-bottom: 2px;
}

.helpEdit {
    margin-left: 2px;
    margin-right: 2px;;
    margin-top: 2px;
    margin-bottom: 2px;
}

.helpSelect {
    margin-left: 2px;
    margin-right: 2px;;
    margin-top: 2px;
    margin-bottom: 2px;
}

.hljs-line-numbers {
    text-align: right;
    border-right: 1px solid #ccc;
    color: #999;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#form-jsfiddle {
    float: right;
}
#nolite {
    color: white;
    float: right;
    margin: 8px 10px 0 0;
    background: none;
    border: 1px solid white;
    font-family: "Lucida Console";
    font-size: 0.5em;
    font-weight: normal;
    padding: 3px 3px 1px 3px;
}
.button {
    /*background-color: white;*/
    color: white;
    float: right;
    margin: 8px 10px 0 0;
    background: none;
    /*color: #0092d3;*/
    border: 1px solid white;
    cursor: pointer;
    font-size: 0.5em;
    font-weight: normal;
    /*padding: 2px 0px 2px 22px;*/
}
.button-selected {
    background: slateblue;
}
.button-jsfiddle {
    float: right;
    margin: 8px 10px 0 0;
    background: none;
    color: white;
    border: 0;
    cursor: pointer;
    font-size: 0.5em;
    font-weight: normal;
    background-image: url(/assets/api_icons/jsfiddle.png);
    background-size: 18px;
    background-repeat: no-repeat;
    background-position: left;
    /*padding-left: 35px;*/
    padding: 2px 0px 2px 22px;
}
.button-jsfiddle:hover {
    background-size: 22px;
    padding-left: 26px;
    text-decoration: underline;

    /*color: #1c3547;*/
    /*background-image: url(/assets/api_icons/jsfiddle_edit_hover.png);*/
}